Telegram APIPremium
premium.getBoostsStatus
Gets the current number of boosts of a channel/supergroup.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Gets the current number of boosts of a channel/supergroup.
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/premium.getBoostsStatus" \ -H "Content-Type: application/json" \ -d '{ "params": { "peer": { "_": "inputPeerEmpty" } } }'{ "result": { "_": "premium.boostsStatus", "myBoost": true, "level": 0, "currentLevelBoosts": 0, "boosts": 0, "giftBoosts": 0, "nextLevelBoosts": 0, "premiumAudience": { "_": "statsPercentValue", "part": 0.1, "total": 0.1 }, "boostUrl": "string", "prepaidGiveaways": [ { "_": "prepaidGiveaway", "id": "string", "months": 0, "quantity": 0, "date": 0 } ], "myBoostSlots": [ 0 ] }}